## 安装
```
npm install itxc-tools
```

## 导入
```js
const itheima = require('itxc-tools')
```

## 格式化时间
```js
//调用 dataFormat 对时间进行格式
const dtStr = ithiema.dateFormat(new Date())
//结果 2022-07-31 14:00:00
```

## 转义HTML字符串
```js
    //待转换的HTML字符串
    const str = '<h1>这是h1标签<span>123124&nbsp</span>/h1>'
    //调用htmlEscape方法进行转换 
    const dtStr = itheima.htmlEscape(str)  
    console.log(dtStr) 
    // 结果&lt;h1&gt;这是h1标签&lt;span&gt;123124&amp;nbsp&lt;/span&gt;/h1&gt;
```
## 还原HTML转义字符串
```js
    // 待还原的HTML字符串
    const str2=itheima.htmlUnEscape(str);
    // 输出的 结果   <h1 title="abc">这是html标签<span>123&nbsp;</span></h1>
    console.log(str2);
```

## 开源协议
ISC
